Subject: Re: [PATCH v2 5/8] net: sh-eth: Add CONFIG_PM to definition of dev_pm_ops

From: Nobuhiro Iwamatsu <[email-masked]>
Date: Tue, 07 May 2013 11:57:47 +0900

Hi,

(2013/04/18 23:53), Sergei Shtylyov wrote:
> On 18-04-2013 14:11, Nobuhiro Iwamatsu wrote:
>
>> Signed-off-by: Nobuhiro Iwamatsu <[email-masked]>
> [...]
>
>> diff --git a/drivers/net/ethernet/renesas/sh_eth.c b/drivers/net/ethernet/renesas/sh_eth.c
>> index 7de0b0e..af8c225 100644
>> --- a/drivers/net/ethernet/renesas/sh_eth.c
>> +++ b/drivers/net/ethernet/renesas/sh_eth.c
> [...]
>> @@ -2785,17 +2786,21 @@ static int sh_eth_runtime_nop(struct device *dev)
>> return 0;
>> }
>>
>> -static struct dev_pm_ops sh_eth_dev_pm_ops = {
>> +static const struct dev_pm_ops sh_eth_dev_pm_ops = {
>> .runtime_suspend = sh_eth_runtime_nop,
>> .runtime_resume = sh_eth_runtime_nop,
>> };
>> +#define SH_ETH_PM_OPS &sh_eth_dev_pm_ops
>
> scripts/checkpatch.pl would complain here about missing (), I heard.
> Did you run it?

thanks, it had missed, although I was running.
I will fix this.

Best regards,
   Nobuhiro